---

- name: check if the BOOT_PASSWD environment variable is set
  ansible.builtin.fail: msg="BOOT_PASSWD variable is required"
  when: >
    os_hardening_security_boot_password is not defined or
    os_hardening_security_boot_password|length == 0

- name: get UID_MIN of the system
  ansible.builtin.shell:
    /usr/bin/awk '/^\s*UID_MIN/{print $2}' /etc/login.defs
  register: uid_min
  check_mode: false
  ignore_errors: false
  changed_when: false
  tags:
    - always

- include_tasks: filesystem.yml
- include_tasks: software_update.yml
- include_tasks: sudo.yml
- include_tasks: fs_integrity_checking.yml
- include_tasks: secure_boot_settings.yml
- include_tasks: additional_process.yml
- include_tasks: selinux.yml
- include_tasks: service.yml
- include_tasks: network_configuration.yml
- include_tasks: system_accounting.yml
- include_tasks: cron.yml
- include_tasks: ssh.yml
- include_tasks: authselect.yml
- include_tasks: pam.yml
- include_tasks: password.yml
- include_tasks: environment.yml
